# keystoneauth1.identity.v3.receipt module

class keystoneauth1.identity.v3.receipt.ReceiptMethod(*, receipt: str)

  Bases: `AuthMethod`

  Construct an Auth plugin to continue authentication with a receipt.

  Parameters:

    receipt (string) – Receipt for authentication.

  __abstractmethods__ = frozenset({})
  __annotations_cache__ = {'_method_parameters': 'list[str] | None', 'receipt': <class 'str'>}
  __doc__ = 'Construct an Auth plugin to continue authentication with a receipt.\n\n:param string receipt: Receipt for authentication.\n'
  __firstlineno__ = 22
  __init__(*, receipt: str) → None
  __module__ = 'keystoneauth1.identity.v3.receipt'
  __static_attributes__ = ('receipt',)
  _abc_impl = <_abc._abc_data object>
  get_auth_data(session: Session, auth: Auth, headers: dict[str, str], request_kwargs: dict[str, object]) → tuple[None, None] | tuple[str, Mapping[str, object]]

    Add the auth receipt to the headers.

    We explicitly return None to avoid being added to the request methods, or body.

  get_cache_id_elements() → dict[str, str | None]

    Get the elements for this auth method that make it unique.

    These elements will be used as part of the `keystoneauth1.plugin.BaseIdentityPlugin.get_cache_id()` to allow caching of the auth plugin.

    Plugins should override this if they want to allow caching of their state.

    To avoid collision or overrides the keys of the returned dictionary should be prefixed with the plugin identifier. For example the password plugin returns its username value as ‘password_username’.

  receipt: str

this page last updated: 2026-03-25 21:01:07

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug